## org.codehaus.groovy.grails.web.mapping
Class DefaultUrlMappingsHolder.UrlMappingKey

    java.lang.Object
      org.codehaus.groovy.grails.web.mapping.DefaultUrlMappingsHolder.UrlMappingKey

All Implemented Interfaces:
  Comparable

Enclosing class:
  DefaultUrlMappingsHolder

     class DefaultUrlMappingsHolder.UrlMappingKey

extends Object
implements Comparable

A class used as a key to lookup a UrlMapping based on controller, action and parameter names

Field Summary
`(package private) String` `action`
`(package private) String` `controller`
`(package private) Set` `paramNames`

Constructor Summary
`DefaultUrlMappingsHolder.UrlMappingKey(String controller, String action, Set paramNames)`

Method Summary
`int` `compareTo(Object o)`
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### controller

    String controller

### action

    String action

### paramNames

    Set paramNames

Constructor Detail

### DefaultUrlMappingsHolder.UrlMappingKey

    public DefaultUrlMappingsHolder.UrlMappingKey(String controller,
                                                  String action,
                                                  Set paramNames)

Method Detail

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Copyright (c) 2005-2009 The Grails project